body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
}

header {
    background-color: #673de6;
    padding: 20px;
    text-align: center;
}

header #logo {
    width: 150px;
}

.container {
    width: 80%;
    margin: 40px auto;
    background-color: #fff;
    padding: 30px;
    border-radius: 8px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}

h2 {
    text-align: center;
    margin-bottom: 20px;
}

.password-options, .checkboxes, .buttons {
    margin-bottom: 20px;
}

.password-options select {
    width: 100%;
    padding: 10px;
    font-size: 16px;
    border-radius: 5px;
    border: 1px solid #ccc;
    background-color: #f4f4f4;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.checkboxes label {
    display: block;
    font-size: 16px;
    margin-bottom: 10px;
}

.checkboxes input[type="checkbox"] {
    margin-right: 10px;
}

.checkboxes i {
    margin-right: 8px;
}

.buttons button {
    margin: 10px;
    padding: 12px 24px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    font-size: 16px;
}

.btn-generate {
    background-color: #673de6;
    color: white;
}

.btn-strong {
    background-color: #ff5f5f;
    color: white;
}

.generated-password {
    margin-top: 20px;
}

.password-display {
    background-color: #f4f4f4;
    padding: 15px;
    font-size: 18px;
    color: #28a745;
    border-radius: 5px;
    margin-bottom: 10px;
}

.btn-copy {
    background-color: #592edb;
    color: white;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
}

footer {
    background-color: #592edb;
    padding: 20px;
    text-align: center;
}

footer .footer-links a {
    margin: 0 10px;
    color: white;
    text-decoration: none;
}

footer p {
    color: white;
    margin-top: 10px;
}

/* Styling for Select2 */
.select2-container .select2-selection--single {
    height: 38px;
    padding: 5px 12px;
    font-size: 16px;
    border-radius: 5px;
    border: 1px solid #ccc;
}

.select2-container .select2-selection__arrow {
    top: 50%;
    right: 10px;
    margin-top: -10px;
}
